Email notifications

Who receives notifications and summaries by email, and what was sent.

Get email settings

GEThttps://api.drometra.com/v1/notifications/email/settings

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Response · 200

  • deliveryReceiptsbooleanalways
  • webhookAlertsbooleanalways
  • weeklyReportbooleanalways
  • afterHoursAlertbooleanalways
  • versionintegeralways
  • emailDeliveryenum: enabled | disabledalways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X GET "https://api.drometra.com/v1/notifications/email/settings" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Accept: application / json"
response · 200
{
  "deliveryReceipts": true,
  "webhookAlerts": true,
  "weeklyReport": true,
  "afterHoursAlert": true,
  "version": 0,
  "emailDelivery": "enabled"
}

Save email settings

PUThttps://api.drometra.com/v1/notifications/email/settings

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Body

deliveryReceiptsmandatoryboolean
webhookAlertsmandatoryboolean
weeklyReportboolean
afterHoursAlertboolean
versionmandatoryinteger

Response · 200

  • deliveryReceiptsbooleanalways
  • webhookAlertsbooleanalways
  • weeklyReportbooleanalways
  • afterHoursAlertbooleanalways
  • versionintegeralways
  • emailDeliveryenum: enabled | disabledalways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X PUT "https://api.drometra.com/v1/notifications/email/settings" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Content-Type: application/json" \ -d '{
    "deliveryReceipts": true,
    "webhookAlerts": true,
    "version": 0
  }'
response · 200
{
  "deliveryReceipts": true,
  "webhookAlerts": true,
  "weeklyReport": true,
  "afterHoursAlert": true,
  "version": 0,
  "emailDelivery": "enabled"
}

List email recipients

GEThttps://api.drometra.com/v1/notifications/email/recipients

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Response · 200

  • array de objectalways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X GET "https://api.drometra.com/v1/notifications/email/recipients" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Accept: application / json"
response · 200
{
  "items": [
    {
      "id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
      "address": "…",
      "state": "pending",
      "verifiedAt": "2026-10-21T14:02:31Z",
      "version": 1
    }
  ]
}

Add an email recipient

POSThttps://api.drometra.com/v1/notifications/email/recipients

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.
idempotency-keymandatorystring · uuid
A new UUID per operation. If you repeat the request with the same key, the change is not applied twice.

Body

addressmandatorystring

Response · 201

  • idstring · uuidalways
  • addressstringalways
  • stateenum: pending | verified | removedalways
  • verifiedAtstring · null · date-timealways
  • versionintegeralways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X POST "https://api.drometra.com/v1/notifications/email/recipients" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "idempotency-key: $(uuidgen)" \
  -H "Content-Type: application/json" \ -d '{
    "address": "…"
  }'
response · 201
{
  "id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
  "address": "…",
  "state": "pending",
  "verifiedAt": "2026-10-21T14:02:31Z",
  "version": 1
}

Verify a recipient

POSThttps://api.drometra.com/v1/notifications/email/recipients/{id}/verify

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Road parameters

idmandatorystring · uuid
e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d

Body

codemandatorystring

Response · 200

  • idstring · uuidalways
  • addressstringalways
  • stateenum: pending | verified | removedalways
  • verifiedAtstring · null · date-timealways
  • versionintegeralways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X POST "https://api.drometra.com/v1/notifications/email/recipients/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/verify" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Content-Type: application/json" \ -d '{
    "code": "…"
  }'
response · 200
{
  "id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
  "address": "…",
  "state": "pending",
  "verifiedAt": "2026-10-21T14:02:31Z",
  "version": 1
}

Resend the verification

POSThttps://api.drometra.com/v1/notifications/email/recipients/{id}/resend

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Road parameters

idmandatorystring · uuid
e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d

Response · 202

  • idstring · uuidalways
  • addressstringalways
  • stateenum: pending | verified | removedalways
  • verifiedAtstring · null · date-timealways
  • versionintegeralways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X POST "https://api.drometra.com/v1/notifications/email/recipients/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/resend" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Content-Type: application/json" \ -d '{}'
response · 202
{
  "id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
  "address": "…",
  "state": "pending",
  "verifiedAt": "2026-10-21T14:02:31Z",
  "version": 1
}

Remove a recipient

POSThttps://api.drometra.com/v1/notifications/email/recipients/{id}/remove

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Road parameters

idmandatorystring · uuid
e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d

Body

versionmandatoryinteger

Response · 200

  • idstring · uuidalways
  • addressstringalways
  • stateenum: pending | verified | removedalways
  • verifiedAtstring · null · date-timealways
  • versionintegeralways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X POST "https://api.drometra.com/v1/notifications/email/recipients/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/remove" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Content-Type: application/json" \ -d '{
    "version": 0
  }'
response · 200
{
  "id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
  "address": "…",
  "state": "pending",
  "verifiedAt": "2026-10-21T14:02:31Z",
  "version": 1
}

List suppressed emails

GEThttps://api.drometra.com/v1/notifications/email/suppressions

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Reference parameters

limitinteger

Response · 200

  • array de objectalways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X GET "https://api.drometra.com/v1/notifications/email/suppressions" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Accept: application / json"
response · 200
{
  "items": [
    {
      "id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
      "reason": "hard_bounce",
      "createdAt": "2026-10-21T14:02:31Z"
    }
  ]
}

Suppress an email

POSThttps://api.drometra.com/v1/notifications/email/suppressions

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Body

addressmandatorystring

Response · 201

  • idstring · uuidalways
  • reasonenum: hard_bounce | recipient_request | adminalways
  • createdAtstring · date-timealways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X POST "https://api.drometra.com/v1/notifications/email/suppressions" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Content-Type: application/json" \ -d '{
    "address": "…"
  }'
response · 201
{
  "id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
  "reason": "hard_bounce",
  "createdAt": "2026-10-21T14:02:31Z"
}

Remove a suppression

POSThttps://api.drometra.com/v1/notifications/email/suppressions/{id}/remove

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Road parameters

idmandatorystring · uuid
e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X POST "https://api.drometra.com/v1/notifications/email/suppressions/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/remove" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Content-Type: application/json" \ -d '{}'
response · 204
(sin cuerpo)

List sent emails

GEThttps://api.drometra.com/v1/notifications/email/messages

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Reference parameters

limitinteger

Response · 200

  • array de objectalways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X GET "https://api.drometra.com/v1/notifications/email/messages" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Accept: application / json"
response · 200
{
  "items": [
    {
      "id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
      "kind": "recipient_verification",
      "state": "queued",
      "attempts": 0,
      "lastError": "…",
      "createdAt": "2026-10-21T14:02:31Z",
      "sentAt": "2026-10-21T14:02:31Z"
    }
  ]
}